You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@devicemap.apache.org by ra...@apache.org on 2014/07/15 23:04:45 UTC

svn commit: r1610851 - /incubator/devicemap/trunk/check_staged_release.sh

Author: radu
Date: Tue Jul 15 21:04:45 2014
New Revision: 1610851

URL: http://svn.apache.org/r1610851
Log:
@trivial: added useful script for verifying staged releases

Added:
    incubator/devicemap/trunk/check_staged_release.sh   (with props)

Added: incubator/devicemap/trunk/check_staged_release.sh
URL: http://svn.apache.org/viewvc/incubator/devicemap/trunk/check_staged_release.sh?rev=1610851&view=auto
==============================================================================
--- incubator/devicemap/trunk/check_staged_release.sh (added)
+++ incubator/devicemap/trunk/check_staged_release.sh Tue Jul 15 21:04:45 2014
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+STAGING=${1}
+DOWNLOAD=${2:-/tmp/devicemap}
+DEST="${DOWNLOAD}/$(basename $STAGING)"
+mkdir ${DOWNLOAD} 2>/dev/null
+
+if [ -z "${STAGING}" -o ! -d "${DOWNLOAD}" ]
+then
+ echo "Usage: check_staged_release.sh <staging-url> [temp-directory]"
+ exit
+fi
+
+if [ ! -e "${DOWNLOAD}/${STAGING}" ]
+then
+ echo "################################################################################"
+ echo "                           DOWNLOAD STAGED REPOSITORY                           "
+ echo "################################################################################"
+
+ if [ `wget --help | grep "no-check-certificate" | wc -l` -eq 1 ]
+ then
+   CHECK_SSL=--no-check-certificate
+ fi
+
+ wget $CHECK_SSL \
+  -e "robots=off" --wait 1 -nv -r -np --reject "index.html*" "--follow-tags=" \
+  -P "${DEST}" -nH "--cut-dirs=3" --ignore-length \
+  ${STAGING}
+
+else
+ echo "################################################################################"
+ echo "                       USING EXISTING STAGED REPOSITORY                         "
+ echo "################################################################################"
+ echo "${DEST}"
+fi
+
+echo "################################################################################"
+echo "                          CHECK SIGNATURES AND DIGESTS                          "
+echo "################################################################################"
+
+for i in `find "${DEST}" -type f | grep -v '\.\(asc\|sha1\|md5\)$'`
+do
+ f=`echo $i | sed 's/\.asc$//'`
+ echo "$f"
+ gpg --verify $f.asc 2>/dev/null
+ if [ "$?" = "0" ]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.asc" ]; then CHKSUM="----"; fi
+ echo "gpg:  ${CHKSUM}"
+
+ for tp in md5 sha1
+ do
+   if [ ! -f "$f.$tp" ]
+   then
+     CHKSUM="----"
+   else
+     A="`cat $f.$tp 2>/dev/null`"
+     B="`openssl $tp < $f 2>/dev/null | sed 's/.*= *//' `"
+     if [ "$A" = "$B" ]; then CHKSUM="GOOD (`cat $f.$tp`)"; else CHKSUM="BAD!! : $A not equal to $B"; fi
+   fi
+   echo "$tp : ${CHKSUM}"
+ done
+
+done
+
+if [ -z "${CHKSUM}" ]; then echo "WARNING: no files found!"; fi
+
+echo "################################################################################"
+
+

Propchange: incubator/devicemap/trunk/check_staged_release.sh
------------------------------------------------------------------------------
    svn:executable = *